
# v1.10.0:

## Changes

- Vastly expanded and generalized support for compatibility containers (and for other uses) that allow per-system configurations in software/sse2/${HPC_SSE_SYSNAME}/containers; new tool: hpc_container_exec
- Timeout on snicquota in hpc_motd
- Rename snicquota to storagequota
- Module file header field 'compatibility' is now recognized by hpc-modules-extract-metadata.py
- Added tools: hpc_listaccounts, hpc_network_isolated_browser, hpc_node_browser
- Add automated tests in tests/
- Introduce CHANGELOG
- mpprun changes:

   * SLURM_KILL_BAD_EXIT=1 is set unless set by user
   * New option --no-smt to guide mpprun towards defaults that avoids utlizing hyperthreads
   * Only request to unload modules if they are loaded, fixes ugly empty lines on stdout
   * Make interaction with module system optional via new parameter --no-modules and env variable HPC_MPPRUN_NO_MODULES
   * Fixes that allow multiple stansaz in the same hpcinfo files

## Actions needed for upgrade

- If the sytem uses compatibilty containers (mpprun --compat, hpc_compat_el7, etc.), compatibiltiy containers must now be configured in /software/sse2/${HPC_SSE_SYSNAME}/containers according to what is described in docs/bootstrap.md
- This release fixes issues with .hpcinfo files that prevented more than one stanza per file. After upgrade, investigate if we should add stanzas in existing .hpcinfo files to better support '--launcher native' for mpprun.

# v1.9.6
- Baseline version for CHANGELOG.
