# HPC Scientific Software Environment (SSE) tools

This repository contains tools, installation scripts, etc. used to setup and maintain the HPC scientific software environment, version 2.

## Installation / upgrade

* [Bootstrap an SSE2 environment](docs/bootstrap.md)
* [Upgrade to latest version](docs/upgrade.md)

## Features of the scientific software environment

* [Module system setup to provide pre-built software](docs/modules.md)
* [Build and runtime environment](docs/build-and-runtime-environment.md)
* [HPC-adapted Anaconda / Condaforge setup](docs/conda.md)
* [Other tools](docs/other-tools.md)

## Contributors

* [AUTHORS](AUTHORS)

## License

* [LICENSE](LICENSE)
